/***************************************************************************
 *   Copyright (C) 2003 by Peter Hess                                      *
 *   peter.hess@ph-home.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include <klocale.h>
#include <qlayout.h>
#include "kwbarview.h"


kwBarView::kwBarView(QWidget *parent, const char *name)
 : QWidget(parent, name)
{
	(new QVBoxLayout(this,0,1))->setAutoAdd(true);
	signalBar = new QMeterBar(-128,0,QMeterBar::qm_dbm,this,i18n("Signal"));
	noiseBar = new QMeterBar(-128,0,QMeterBar::qm_dbm,this,i18n("Noise"));
	qualityBar = new QMeterBar(0,100,QMeterBar::qm_pro,this,i18n("Quality"));
}


kwBarView::~kwBarView()
{
}


/*!
    \fn kwBarView::showBars(bool nb, bool qb)
 */
void kwBarView::showBars(bool sb,bool nb, bool qb)
{
    if ( sb ) signalBar->show();
    else signalBar->hide();

    if ( nb ) noiseBar->show();
    else noiseBar->hide();

    if ( qb ) qualityBar->show();
    else qualityBar->hide();
}


/*!
    \fn kwBarView::updateValues(int signal, int noise, int quality)
 */
void kwBarView::updateValues(int sv, int nv, int qv)
{
	signalBar->setSignal(sv);
	noiseBar->setSignal(nv);
	qualityBar->setSignal(qv);
}


/*!
    \fn kwBarView::setBarColorsAndLevels(QColor lc, QColor mc, QColor hc, int ml, int hl)
 */
void kwBarView::setBarColorsAndLevels(QColor lc, QColor mc, QColor hc, int ml, int hl)
{
 	signalBar->setColors(lc,mc,hc);
	signalBar->setColorLevels(ml,hl);
	noiseBar->setColors(lc,mc,hc);
	noiseBar->setColorLevels(ml,hl);
	qualityBar->setColors(lc,mc,hc);
	qualityBar->setColorLevels(ml,hl);
}


/*!
    \fn kwBarView::setFontAndColor(QFont font, QColor color)
 */
void kwBarView::setFontAndColor(const QString &font, const QColor &color)
{
	signalBar->setFontFamily(font);
	signalBar->setFontColor(color);
	noiseBar->setFontFamily(font);
	noiseBar->setFontColor(color);
	qualityBar->setFontFamily(font);
	qualityBar->setFontColor(color);
}

#include "kwbarview.moc"
