/***************************************************************************
 *   Copyright (C) 2003 by Peter Hess                                      *
 *   peter.hess@ph-home.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef KWINFO_H
#define KWINFO_H

#include <qgrid.h>
#include <qlabel.h>

#include "qmeterbar.h"

/**
@author Peter Hess
*/
class kwInfo : public QGrid
{
Q_OBJECT
public:
	QMeterBar *signalBar, *noiseBar, *qualityBar;
    struct {
	QLabel *if_name, *if_ip, *nick, *essid, *mode, *ap, *freq, *rate;
    } info_label;

    kwInfo(QWidget *parent = 0, const char *name = 0);

    ~kwInfo();

    void setBarColorsAndLevels(QColor lc, QColor mc, QColor hc, int ml, int hl);
    void setFontAndColor(const QString &font, const QColor &color);
    
};

#endif
