/***************************************************************************
 *   Copyright (C) 2003 by Peter Hess                                      *
 *   peter.hess@ph-home.de                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef QMETERBAR_H
#define QMETERBAR_H

#include <qframe.h>
#include <qstring.h>
#include <qlabel.h>
#include <qcolor.h>

/**
@author Peter Hess
*/
class QMeterBar : public QWidget
{
	Q_OBJECT
public:
	enum qm_mode {qm_pro, qm_dbm, qm_db};
	QMeterBar(int width, int height,qm_mode mode = qm_pro, QWidget *parent = 0, const char *name = 0, WFlags f = 0);
	~QMeterBar();
    QString getText(bool abbr = false);

    public slots: void setSignal(int s);
	void setPostfix(QString p);
	void setPrefix(QString p);
	void setFontFamily(const QString &family);
	void setColorLevels(int middle, int high);
	void setColors(const QColor &low, const QColor &middle, const QColor &high);
	void setFontColor(const QColor &c);
	void resizeEvent(QResizeEvent *);
	void setVisibleMinMax( bool visible);

   private:
	int signal, minVal, maxVal, minSignal, maxSignal;
	float stepSize, sigLen;
	qm_mode mode;
	QFont font, indicatorFont;
	QColor fontColor;
	QString prefix, postfix;
	bool shortText, visibleMinMax;
	QString sig, shortSig;
	struct {
		QColor lowColor,middleColor,highColor;
		int middleLevel,highLevel;
	} colorLevels;
	void calcFontSize();
	virtual void paintEvent(QPaintEvent *);
};

#endif
